#ifndef config_message_queue_h
#define config_message_queue_h

/**
 * \file config_message_queue.h
 * \brief Configures the message-queue.
 * \author Thomas Stegemann
 * \version $Id: config_message_queue.h,v 1.1 2006/09/26 18:18:27 rschaten Exp $
 *
 * License: See documentation.
 *
 * - define the size of the messageQueue(messageQueue_Size) and the type of the
 *   messageQueue_QueuedMessage
 * - check that messageQueue_SizeType can hold 0..messageQueue_Size+1
 * - the messageQueue buffers up to messageQueue_Size messages of the type
 *   messageQueue_QueuedMessage
 * - currently the messageQueue is used by pwm_Channels and pwm_Timer with the
 *   pwm_Channels_Message
 */

#include "pwm_timer.h"

typedef pwm_Channels_Message messageQueue_QueuedMessage;
enum { messageQueue_Size = 3 };

#endif
